package cn.reghao.tnb.content.app.exam.model.dto;

import cn.reghao.tnb.content.app.exam.model.po.PaperAnswer;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2024-08-28 13:07:23
 */
@NoArgsConstructor
@Setter
@Getter
public class UserAnswer {
    private Integer pos;
    private Integer pid;
    private Integer questionId;
    private Integer questionType;
    private String answer;

    public UserAnswer(PaperAnswer paperAnswer) {
        this.pos = paperAnswer.getPos();
        this.pid = paperAnswer.getPid();
        this.questionId = paperAnswer.getQuestionId();
        this.questionType = paperAnswer.getQuestionType();
        this.answer = paperAnswer.getAnswer();
    }
}
